help with pointshop 2

im tying to add to my server pointshop 2 and when i added it this is the errors :

[ERROR] addons/pointshop2/lua/autorun/client/noir.lua:5: attempt to call method ‘PS_HasItemEquipped’ (a nil value)

  1. fn - addons/pointshop2/lua/autorun/client/noir.lua:5
  2. unknown - addons/ulib/lua/ulib/shared/hook.lua:105

how can i fix it ?

Pointshop-Perks does not support Pointshop 2, that is Pointshop 1 code.

so i need to delete that file or edit it ?

You need to delete whole addon. Or switch to pointshop 1.

ok tnx